VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   5040
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   7890
   LinkTopic       =   "Form1"
   ScaleHeight     =   5040
   ScaleWidth      =   7890
   StartUpPosition =   3  'Windows Default
   Begin VB.PictureBox output 
      Height          =   4005
      Left            =   2760
      ScaleHeight     =   3945
      ScaleWidth      =   4755
      TabIndex        =   9
      Top             =   600
      Width           =   4815
   End
   Begin VB.PictureBox Lcd 
      Height          =   13
      Left            =   2280
      ScaleHeight     =   15
      ScaleWidth      =   4695
      TabIndex        =   8
      Top             =   240
      Width           =   4695
   End
   Begin VB.TextBox Text1 
      Height          =   1440
      Left            =   120
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   7
      Top             =   3360
      Width           =   1890
   End
   Begin VB.TextBox Rate 
      Height          =   285
      Left            =   240
      TabIndex        =   6
      Text            =   "10"
      Top             =   2880
      Width           =   615
   End
   Begin VB.CommandButton Stopbut 
      Caption         =   "Stop Sampling"
      Height          =   495
      Left            =   120
      TabIndex        =   4
      Top             =   2160
      Width           =   1815
   End
   Begin VB.CommandButton Start 
      Caption         =   "Start Sampling"
      Height          =   495
      Left            =   120
      TabIndex        =   3
      Top             =   1560
      Width           =   1815
   End
   Begin VB.CommandButton btnGetCount 
      Caption         =   "Get Count"
      Height          =   405
      Left            =   120
      TabIndex        =   2
      Top             =   120
      Width           =   1815
   End
   Begin VB.CommandButton btnClose 
      Caption         =   "Close"
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   1080
      Width           =   1800
   End
   Begin VB.CommandButton btnOpen 
      Caption         =   "Open"
      Height          =   390
      Left            =   120
      TabIndex        =   0
      Top             =   600
      Width           =   1785
   End
   Begin VB.Label Label3 
      Caption         =   "0V"
      Height          =   375
      Left            =   2400
      TabIndex        =   11
      Top             =   4440
      Width           =   855
   End
   Begin VB.Label Label1 
      Caption         =   "5V"
      Height          =   255
      Left            =   2400
      TabIndex        =   10
      Top             =   600
      Width           =   375
   End
   Begin VB.Label Label2 
      Caption         =   "Sample Rate"
      Height          =   255
      Left            =   960
      TabIndex        =   5
      Top             =   2880
      Width           =   1095
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Set this to "1" if making an exe or "0" if debugging
'(so that the full paths are included in the declare statements)
#Const EXE_BUILD = 1

#If EXE_BUILD Then
    Private Declare Function ECIO_GetDLLVersion Lib "ECIO_api.dll" () As Long
    Private Declare Function ECIO_Open Lib "ECIO_api.dll" (ByVal index As Long, ByRef pVID_PID As Any) As Long
    Private Declare Function ECIO_Close Lib "ECIO_api.dll" () As Long
    Private Declare Function ECIO_Transmit Lib "ECIO_api.dll" (ByRef pDataOut As Any, ByVal dwLenOut As Long, ByRef pActualLenOut As Long, ByRef pDataIn As Any, ByVal dwExpectedLenIn As Long, ByRef pActualLenIn As Long, ByVal dwTimeout As Long) As Long
    Private Declare Function ECIO_GetDeviceCount Lib "ECIO_api.dll" (ByRef pVID_PID As Any) As Long
#Else
    Private Declare Function ECIO_GetDLLVersion Lib "C:\DEV\Flowcode V3\Components\USB Pack\Current\DLL Interface\V4\VB_App\ECIO_api.dll" () As Long
    Private Declare Function ECIO_Open Lib "C:\DEV\Flowcode V3\Components\USB Pack\Current\DLL Interface\V4\VB_App\ECIO_api.dll" (ByVal index As Long, ByRef pVID_PID As Any) As Long
    Private Declare Function ECIO_Close Lib "C:\DEV\Flowcode V3\Components\USB Pack\Current\DLL Interface\V4\VB_App\ECIO_api.dll" () As Long
    Private Declare Function ECIO_Transmit Lib "C:\DEV\Flowcode V3\Components\USB Pack\Current\DLL Interface\V4\VB_App\ECIO_api.dll" (ByRef pDataOut As Any, ByVal dwLenOut As Long, ByRef pActualLenOut As Long, ByRef pDataIn As Any, ByVal dwExpectedLenIn As Long, ByRef pActualLenIn As Long, ByVal dwTimeout As Long) As Long
    Private Declare Function ECIO_GetDeviceCount Lib "C:\DEV\Flowcode V3\Components\USB Pack\Current\DLL Interface\V4\VB_App\ECIO_api.dll" (ByRef pVID_PID As Any) As Long
#End If

Private sID(0 To 20) As Byte
Private Log_Enable As Byte
Const MAX_X = 400
Const MAX_Y = 1
Private ADC0Data(0 To MAX_X) As Byte
Private ADC1Data(0 To MAX_X) As Byte


Private Sub Form_Load()
    'Set the identifier
    sID(0) = Asc("v")
    sID(1) = Asc("i")
    sID(2) = Asc("d")
    sID(3) = Asc("_")
    sID(4) = Asc("1")
    sID(5) = Asc("2")
    sID(6) = Asc("b")
    sID(7) = Asc("f")
    sID(8) = Asc("&")
    sID(9) = Asc("p")
    sID(10) = Asc("i")
    sID(11) = Asc("d")
    sID(12) = Asc("_")
    sID(13) = Asc("0")
    sID(14) = Asc("0")
    sID(15) = Asc("f")
    sID(16) = Asc("0")
    sID(17) = 0
    
    Log_Enable = 0
End Sub

Private Sub btnGetCount_Click()
    Dim lCnt As Long
    
    lCnt = ECIO_GetDeviceCount(sID(0))
    Text1.Text = "Count = " & lCnt & vbCrLf + Text1.Text
End Sub

Private Sub btnOpen_Click()
    Dim lRetVal As Long
    
    lRetVal = ECIO_Open(0, sID(0))
    Text1.Text = "Open = " & lRetVal & vbCrLf + Text1.Text

End Sub

Private Sub btnClose_Click()
    Dim lRetVal As Long
    lRetVal = ECIO_Close
    lRetVal = ECIO_Close
    Text1.Text = "Close = " & lRetVal & vbCrLf + Text1.Text
End Sub

Private Sub Form_Unload(Cancel As Integer)
    'Make sure the connection is closed
    ECIO_Close
    ECIO_Close
End Sub

Private Sub Start_Click()
    Dim lRetVal As Long
    Dim bDataOut(0 To 31) As Byte
    Dim bDataIn(0 To 127) As Byte
    Dim bASCII As Byte
    Dim StrBytes() As Byte
    Dim StrLen As Byte
    Dim count As Byte
    Dim FilName As String
    Dim FilDat As String
    Dim a As Long
    Dim Iterations As Integer
    Dim idx As Byte
    Dim channel_mask As Byte
    Dim Dig0 As Byte
    Dim Dig1 As Byte
    Dim AN0 As Byte
    Dim RateVar As Byte
    Dim x, y As Integer
    Dim iPix As Integer
    Dim iRed, iGreen, iBlue As Integer
    Dim screenCola As Long
    Dim screenColb As Long
    Dim screenX, screenY As Integer
    Dim xPix As Long
    Dim yPix As Long
    
                            
    RateVar = Val(Rate.Text)
                  
    bDataOut(0) = &H70      'set channels command
    bDataOut(1) = 3         'analogue channel controls
    bDataOut(2) = 0         'first 8 digital channel controls
    bDataOut(3) = 0         'next 8 digital channel controls
    bDataOut(4) = RateVar   'sAMPLE rATE
           
    Log_Enable = 1
           
    Dim nTxDataCnt As Long
    Dim nRxDataCnt As Long
    
    'Assign scope channel masks
    lRetVal = ECIO_Transmit(bDataOut(0), 5, nTxDataCnt, bDataIn(0), 32, nRxDataCnt, 50)
           
    bDataOut(0) = &H71  'sample command
    bDataOut(1) = 0

    Text1.Text = "Logging" & vbCrLf + Text1.Text

    Do Until Log_Enable = 0
    
        DoEvents
        lRetVal = ECIO_Transmit(bDataOut(0), 2, nTxDataCnt, bDataIn(0), 64, nRxDataCnt, 50)
        idx = 0
        Do Until idx >= nRxDataCnt
                                           
            'Shift ADC0 data to next position
            For x = 0 To MAX_X - 1
            
                xPix = MAX_X - x
            
                ADC0Data(xPix) = ADC0Data(xPix - 1)
            
            Next x
            
            'Add new ADC0 data byte
            ADC0Data(0) = bDataIn(idx)
            idx = idx + 1
            
            'Shift ADC1 data to next position
            For x = 0 To MAX_X - 1
            
                xPix = MAX_X - x
            
                ADC1Data(xPix) = ADC1Data(xPix - 1)
            
            Next x
            
            'Add new ADC1 data byte
            ADC1Data(0) = 255 - bDataIn(idx)
            idx = idx + 1
                                                                     
        Loop
        
        'red line
        screenCola = RGB(255, 0, 0)
            
        'green line
        screenColb = RGB(0, 255, 0)
            
        'Clear display
        output.Cls
    
        'Draw display
        For x = 0 To MAX_X
        
            xPix = x * Screen.TwipsPerPixelX
            yPix = ADC0Data(x) * Screen.TwipsPerPixelY
        
            output.PSet (xPix, yPix), screenCola
            
            yPix = ADC1Data(x) * Screen.TwipsPerPixelY
            
            output.PSet (xPix, yPix), screenColb
        Next x
                            
    Loop
    
    Text1.Text = "Stopping" & vbCrLf + Text1.Text
    
    'when all sample channels are disabled the scope interrupt functionality is turned off
    bDataOut(0) = &H70  'set channels command
    bDataOut(1) = 0     'Disable Analogue Channels
    bDataOut(2) = 0     'Disable Digital bank1
    bDataOut(3) = 0     'Disable Digital bank2
    bDataOut(4) = 0     'sAMPLE rATE
    
    lRetVal = ECIO_Transmit(bDataOut(0), 5, nTxDataCnt, bDataIn(0), 32, nRxDataCnt, 50)
    Text1.Text = "Logging Stopped" & vbCrLf + Text1.Text
End Sub

Private Sub Stopbut_Click()
    Log_Enable = 0
End Sub

